Package org.silverpeas.components.blog.servlets

# Class BlogRssServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>
org.silverpeas.components.blog.servlets.BlogRssServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class BlogRssServlet extends org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>

See Also:
  - `RssServlet`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlogRssServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getElementCreatorId(PostDetail post)`
  `Date`
  `getElementDate(PostDetail post)`
  `String`
  `getElementDescription(PostDetail post, String userId)`
  `String`
  `getElementLink(PostDetail post, String userId)`
  `String`
  `getElementTitle(PostDetail post, String userId)`
  `Collection<PostDetail>`
  `getListElements(String instanceId, int nbReturned)`

  ### Methods inherited from class org.silverpeas.core.web.util.servlet.RssServlet

  `doGet, doPost, getChannelTitle, getExternalCreatorId, getLogin, getMainSessionController, getNbReturnedElements, getObjectId, getPassword, getServerURL, getUserId, isComponentAvailable, isComponentRss, isUserLogin, objectNotFound, setCreator`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlogRssServlet

    public BlogRssServlet()

- ## Method Details

  - ### getListElements

    public Collection<PostDetail> getListElements(String instanceId, int nbReturned)
    Specified by:
      `getListElements` in class `org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>`

  - ### getElementTitle

    public String getElementTitle(PostDetail post, String userId)
    Specified by:
      `getElementTitle` in class `org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>`

  - ### getElementLink

    public String getElementLink(PostDetail post, String userId)
    Specified by:
      `getElementLink` in class `org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>`

  - ### getElementDescription

    public String getElementDescription(PostDetail post, String userId)
    Specified by:
      `getElementDescription` in class `org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>`

  - ### getElementDate

    public Date getElementDate(PostDetail post)
    Specified by:
      `getElementDate` in class `org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>`

  - ### getElementCreatorId

    public String getElementCreatorId(PostDetail post)
    Specified by:
      `getElementCreatorId` in class `org.silverpeas.core.web.util.servlet.RssServlet<PostDetail>`